

/* BEGINING OF CLASS */
    
#include "../../../include/types.t"
#include "../../../include/defines.t"
     
#define __PARAMS_HEADER2 __PARAMS_HEADER
     
class zamowienie
{
   area usr;
   inherits generic_acl;
        
   container_class '';
   container_column_name '';
	      
   #include "../../../include/generic_acl_props.t"   

   
        prop id_reprezentant
        {
            type CO_INTEGER;
            default "''";
            params '';
            representant '1';
            foreign 'reprezentant';
            foreign_prop 'id';
            position 100;
        };
   
        prop data_zlozenia
        {
            type CO_DATE;
            default "'1900-01-01'";
            params '';
            representant '1';
            foreign '';
            foreign_prop '';
            position 200;
        };
   
        prop data_realizacji
        {
            type CO_DATE;
            default "'1900-01-01'";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 300;
        };
   
        prop id_adres
        {
            type CO_INTEGER;
            default 0;
            params '';
            representant '';
            foreign 'adres';
            foreign_prop 'id';
            position 400;
        };
   
        prop opis
        {
            type CO_STRING;
            default "''";
            params '';
            representant '1';
            foreign '';
            foreign_prop '';
            position 500;
        };
   
        prop wartosc_brutto
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 600;
        };
   
        prop wartosc_vat
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 700;
        };
   
        prop wartosc_netto
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 800;
        };
   
        prop uwagi
        {
            type CO_STRING;
            default "''";
            params 'SIZE=100';
            representant '';
            foreign '';
            foreign_prop '';
            position 900;
        };
   
        prop anulowane
        {
            type CO_STRING;
            default "'TAK'";
            params 'VALUES=TAK|NIE';
            representant '1';
            foreign '';
            foreign_prop '';
            position 50;
        };
   
        prop gratis
        {
            type CO_STRING;
            default "'NIE'";
            params 'VALUES=NIE|TAK';
            representant '';
            foreign '';
            foreign_prop '';
            position 5500;
        };
   
        prop id_faktura
        {
            type CO_INTEGER;
            default 0;
            params '';
            representant '';
            foreign 'faktura';
            foreign_prop 'id';
            position 950;
        };
   
        prop typ
        {
            type CO_STRING;
            default "''";
            params 'VALUES=|WWW|e-mail|fax|list|inne';
            representant '';
            foreign '';
            foreign_prop '';
            position 1000;
        };
}; // end of class: zamowienie 
