
#include "../../include/types.t"
#include "../../include/defines.t"

#define __PARAMS_HEADER2 __PARAMS_HEADER
    
class meta_method
{
   area usr
   {
       force_sec_type 1;
   };
   area sys
   {
       force_sec_type 1;
   };
   area sec
   {
       force_sec_type 1;
   };

#include "../../include/check_acl.t"
   
   container_class 'meta_class';
   container_column_name 'class_name';

#include "../../include/generic_acl_props.t" 
  
   prop class_name
   {
     type CO_STRING;
     default 0;
     params '';
     representant 1;
     foreign 'meta_class';
     foreign_prop 'class_name';
     position 200;
   };
   
   prop method_name
   {
     type CO_STRING;
     default "''";
     params '';
     representant 1;
     foreign '';
     foreign_prop '';
     position 200;

   };
   
   prop id_permission
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 1;
     foreign 'permission';
     foreign_prop 'id';
     position 200;
   };
                  
   prop id_onbefore_script
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 1;
     foreign 'js_code';
     foreign_prop 'id';
     position 200;
   };

   prop id_onbefore_method
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 1;
     foreign 'meta_method';
     foreign_prop 'id';
     position 200;
   };

   prop id_onafter_script
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 1;
     foreign 'js_code';
     foreign_prop 'id';
     position 200;
   };

   prop id_onafter_method
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 1;
     foreign 'meta_method';
     foreign_prop 'id';
     position 200;
   };

   prop profiled
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 1;
     foreign '';
     foreign_prop '';
     position 210;
   };

   prop sec_type
   {
     type CO_INTEGER;
     default 0;
     params 'VALUES=new Array(0,1);';
     representant 0;
     foreign '';
     foreign_prop '';
     position 220;
   };

 
   prop force_sec_type
   {
     type CO_INTEGER;
     default 0;
     params 'VALUES=new Array(0,1);';
     representant 0;
     foreign '';
     foreign_prop '';
     position 220;
   };

 
   inherits generic_acl;
};  
