@perl use co_modules_functions;

@perl $user = $ENV{"USER"};

@foreach item_list

@foreach file

@openfile co_set_${name_file}.pl
#!/usr/bin/perl
 
# $Id: init_data.tpl,v 1.13 2000/07/07 13:24:01 pawel Exp $
 
# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'
 
######################### We start with some black magic to print on failure.
 
BEGIN { \$| = 1; }
END {print "test failed\\n" unless \$loaded;}
use Pg;
\$loaded = 1;
use strict;
 
######################### End of black magic.
 
##my \$dbmain = 'nobody';
##my \$dbname = 'nobody';
my \$dbconnstr = 'dbname=nobody';
my \$trace  = '/tmp/pgtrace.out';
my (\$conn, \$result, \$i, \$last_id);
 
my \$DEBUG  = 0; # set this to 1 for traces

\$SIG{PIPE} = sub { print "broken pipe\\n" };

\$dbconnstr = \$ARGV[0]; shift;
 
######################### create and connect to database
 
my \$Option_ref = Pg::conndefaults();
my (\$key, \$val);
( \$\$Option_ref{port} ne "" && \$\$Option_ref{dbname} ne "" && \$\$Option_ref{user} ne "" )
and print "Pg::conndefaults ........ ok\\n"
or  die   "Pg::conndefaults ........ not ok: ", \$conn->errorMessage;
	 
\$conn = Pg::connectdb(\$dbconnstr);
( PGRES_CONNECTION_OK eq \$conn->status )
    and print "Pg::connectdb ........... ok\\n"
    or  die   "Pg::connectdb ........... not ok: ", \$conn->errorMessage;  

		


  @foreach class
    @foreach area

    # AREA.CLASS $name_area.$name_class 
    
     @perl # print "###########################################################################################";
     @perl # print "AREA.CLASS $name_area.$name_class ";
     @perl # $class_i->print();
    
      \$result = \$conn->exec("INSERT INTO co_${name_area}_${name_class} (version) VALUES(0)");    
      \$result = \$conn->exec("SELECT last_value FROM co_${name_area}_${name_class}_sqid");
      \$last_id = (\$result->fetchrow)[0];

       @foreach remove_old
          \$result = \$conn->exec("DELETE FROM co_${name_area}_${name_class} WHERE $name_remove_old"); 
	@end ..remove_old

        @foreach escape_perl
          $name_escape_perl
	@end ..escape_perl
        
      @foreach p
      
        @foreach val
	@perl $name_val =~ s/([\"|\'|\\|\@|\$])/\\\\\\\1/g;
          \$result = \$conn->exec("UPDATE co_${name_area}_${name_class} SET $name_p='$name_val' WHERE id=\$last_id"); 

           @perl if($name_p eq "id") {
             \$last_id = $name_val;
           @perl };
	@end ..val
        
	@foreach recent
           \$result = \$conn->exec("UPDATE co_${name_area}_${name_class} SET $name_p=(SELECT last_value FROM co_${name_area}_${name_recent}_sqid) WHERE id=\$last_id"); 
	@end ..recent
	
	@foreach getByName
	  @foreach f
            \$result = \$conn->exec("UPDATE co_${name_area}_${name_class} SET $name_p=(SELECT id FROM co_${name_area}_${name_getByName} WHERE name = '${name_f}') WHERE id=\$last_id"); 
	  @end .. f    
	@end ..getByName

	@foreach getByProp
	  @foreach prop
             @foreach val
            \$result = \$conn->exec("UPDATE co_${name_area}_${name_class} SET $name_p=(SELECT id FROM co_${name_area}_${name_getByProp} WHERE ${name_prop} = '${name_val}') WHERE id=\$last_id"); 
             @end .. val
	  @end .. prop    
	@end ..getByProp


        @foreach full_control
             \$result = \$conn->exec("INSERT INTO co_sec_acl 
                                       SELECT NEXTVAL('co_sec_acl_sqid'),0,0, p.id, \$last_id, r.id, '$name_area', '$name_class' 
                                       FROM  co_sec_permission p, co_sec_role r
                                       WHERE r.name= '$name_full_control' "); 
	@end ..full_control
        	
      @end ..p

  @end  .. end of loop for each area


      @perl undef(@${recent});
      @perl undef(@${remove_old});	
      @perl undef(@${escape_perl});	
      @perl undef(@${getByName});
      @perl undef(@${full_control});	
      @perl undef(@${val});	
      @perl undef(@${getByProp});
      @perl undef(@${p});


  @end /* class */

@end .. file  
@end .. item_list
