%token WORD_NAME
%{
package co_1;
%}

%%
program: /* nothing */
	| class ';'  program  =
	    {
		print "yacc: koniec klasy: ",  $1, "\n";
	    }
	    
	| class ';' =
	    {
		print "yacc: koniec pojedynczej klasy: ",  $1, "\n";
	    }
	| '.' = 
	    {
		print "yacc: koniec przetwarzania\n";
	    }	
	;

class:  /* nothing */

	| WORD_NAME WORD_NAME '{' program  '}'
	    {
		print "yacc: obiekt typu: ", $1," o nazwie: ", $2," \n";
		$$ = ($1,$2);
	    }
	    
	| WORD_NAME WORD_NAME
	    
	    {
		print "yacc: pusty obiekt typu: ", $1," o nazwie: ", $2," \n";
		$$ = ($1,$2);
	    }    
	;
		
	
%%

sub yylex
{
    $dtstr =~ s/^\s+//;
    #print "wejscie :|", $dtstr, "|\n";
    if ($dtstr=~ s/^(\w+)//) {
	$yylval = $1;
	#print "lex: mamy word_name: ", $yylval, "\n";
    	return $WORD_NAME;
    }
    elsif ($dtstr=~ s/^([\{\};\.])//) {
	#print "lex: mamy przerywnik", $1, "\n"; 
	$yylval = ord(substr($1,0,1));
	#print "lex: ", $yylval, "\n";
	return $yylval;
    }
    else {
	yyerror("moje: invalid character");
    }
}




sub yyerror
{
    die @_ ;
}



outer:
    chomp($dtstr=<STDIN>);
    printf "poczatek";
    yyparse($dstr);
    1;

