#ifndef CODEFINESCALLSH
#define CODEFINESCALLSH

#define __PARAM_STRUCT_READ(VAR_NAME, PARAM_STRUCT_NAME, PARAM_NAME) \
        VAR_NAME = PARAM_STRUCT_NAME->values->PARAM_NAME;

#define __PARAM_STRUCT_SET(VAR_NAME, PARAM_STRUCT_NAME, PARAM_NAME) \
        PARAM_STRUCT_NAME->values ->PARAM_NAME = VAR_NAME; \
        PARAM_STRUCT_NAME->control->PARAM_NAME = 1;

#define __PARAM_STRUCT_CREATE(METHOD_NAME, PARAM_STRUCT_NAME) \
        co_typein_##METHOD_NAME  * PARAM_STRUCT_NAME  = ({ \
        co_typein_##METHOD_NAME  * ret = ap_pcalloc(p, sizeof(co_typein_##METHOD_NAME)); \
        co_typein_control_##METHOD_NAME* control = ap_pcalloc(p, sizeof(co_typein_control_##METHOD_NAME)); \
        co_typein_values_##METHOD_NAME * values  = ap_pcalloc(p, sizeof(co_typein_values_##METHOD_NAME)); \
        ret->control = control; ret->values = values;\
        ret;});

#define __METHOD_BEGIN(COCTX,METHOD_NAME) \
	{ \
        co_typein_##METHOD_NAME * pArAm_pTr = ap_pcalloc(COCTX->request->pool, sizeof(co_typein_##METHOD_NAME)); \
	pArAm_pTr->control = (co_typein_control_##METHOD_NAME*) ap_pcalloc(COCTX->request->pool, sizeof(co_typein_control_##METHOD_NAME)); \
	pArAm_pTr->values = (co_typein_values_##METHOD_NAME*) ap_pcalloc(COCTX->request->pool, sizeof(co_typein_values_##METHOD_NAME));

#define __METHOD_PARAM_SET(PARAM_NAME,VALUE) \
        pArAm_pTr->values ->##PARAM_NAME = (VALUE); \
        pArAm_pTr->control->##PARAM_NAME = 1;

#define __METHOD_CALL(COCTX, AREA_NAME, CLASS_NAME, METHOD_NAME) \
        cou_broker( AREA_NAME, CLASS_NAME, METHOD_NAME, COCTX, pArAm_pTr ); \
	}

#endif
