
      DROP TABLE co_tmp_sec_acl

      !NOERROR

      ALTER TABLE co_sec_acl RENAME TO co_tmp_sec_acl

      !NOERROR

      drop sequence co_sec_acl_sqid
      !NOERROR
      create sequence co_sec_acl_sqid start 1
      !GO
      grant all on co_sec_acl_sqid to nobody
      !GO 

  create table co_sec_acl
  ( 
  id  int default 
nextval('co_sec_acl_sqid'::text) 
 , 
 version  int default 
0
 , 
 deleted  int default 
0
 , 
 id_permission  int default 
0
 , 
 id_object  int default 
0
 , 
 id_role  int default 
0
 , 
 area  text default 
''
 , 
 class_name  text default 
''

  )
  !GO
  grant all on co_sec_acl to nobody
  !GO 
   
    DROP INDEX co_sec_acl_inid
    !NOERROR
    
    CREATE   UNIQUE    
    INDEX co_sec_acl_inid
    ON co_sec_acl
    ( 
 id 
    )
    !GO
     
    DROP INDEX co_sec_acl_in1
    !NOERROR
    
    CREATE     
    INDEX co_sec_acl_in1
    ON co_sec_acl
    ( 
 id_permission  , id_role  , id_object  , class_name  , area 
    )
    !GO
     
    DROP INDEX co_sec_acl_in2
    !NOERROR
    
    CREATE     
    INDEX co_sec_acl_in2
    ON co_sec_acl
    ( 
 id_role  , id_object  , class_name  , area 
    )
    !GO
     
    DROP INDEX co_sec_acl_in3
    !NOERROR
    
    CREATE     
    INDEX co_sec_acl_in3
    ON co_sec_acl
    ( 
 id_object  , class_name  , area 
    )
    !GO
    