
      DROP TABLE co_tmp_usr_meta_prop

      !NOERROR

      ALTER TABLE co_usr_meta_prop RENAME TO co_tmp_usr_meta_prop

      !NOERROR

      drop sequence co_usr_meta_prop_sqid
      !NOERROR
      create sequence co_usr_meta_prop_sqid start 1
      !GO
      grant all on co_usr_meta_prop_sqid to nobody
      !GO 

  create table co_usr_meta_prop
  ( 
  id  int default 
nextval('co_usr_meta_prop_sqid'::text) 
 , 
 version  int default 
0
 , 
 deleted  int default 
0
 , 
 inherits_acl  int default 
1
 , 
 prop_name  text default 
''
 , 
 class_name  text default 
''
 , 
 prop_representant  int default 
''
 , 
 prop_foreign  text default 
''
 , 
 prop_foreign_prop  text default 
''
 , 
 prop_foreign_dynamic  int default 
0
 , 
 prop_foreign_dynamic_classes  text default 
''
 , 
 prop_foreign_dynamic_prop  text default 
''
 , 
 prop_position  int default 
''
 , 
 prop_type  text default 
''
 , 
 prop_params  text default 
''
 , 
 prop_group  text default 
''
 , 
 prop_group_parent  text default 
''
 , 
 prop_group_path  text default 
''

  )
  !GO
  grant all on co_usr_meta_prop to nobody
  !GO 
   
    DROP INDEX co_usr_meta_prop_inid
    !NOERROR
    
    CREATE   UNIQUE    
    INDEX co_usr_meta_prop_inid
    ON co_usr_meta_prop
    ( 
 id 
    )
    !GO
     
    DROP INDEX co_usr_meta_prop_in1
    !NOERROR
    
    CREATE     
    INDEX co_usr_meta_prop_in1
    ON co_usr_meta_prop
    ( 
 class_name 
    )
    !GO
     
    DROP INDEX co_usr_meta_prop_in1
    !NOERROR
    
    CREATE     
    INDEX co_usr_meta_prop_in1
    ON co_usr_meta_prop
    ( 
 class_name  , prop_representant 
    )
    !GO
    