 
  DROP FUNCTION co_sec_file_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_file_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'file\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_file_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_file_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'file\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_file_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_file_id(int) RETURNS co_sec_file AS
     '
        SELECT * FROM co_sec_file WHERE co_sec_file.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_file_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_file_version(int) RETURNS co_sec_file AS
     '
        SELECT * FROM co_sec_file WHERE co_sec_file.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_file_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_file_deleted(int) RETURNS co_sec_file AS
     '
        SELECT * FROM co_sec_file WHERE co_sec_file.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_file_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_file_inherits_acl(int) RETURNS co_sec_file AS
     '
        SELECT * FROM co_sec_file WHERE co_sec_file.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_file_file_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_file_file_version(int) RETURNS co_sec_file AS
     '
        SELECT * FROM co_sec_file WHERE co_sec_file.file_version = $1
     '
     LANGUAGE 'sql'
     !GO
       