 
  DROP FUNCTION co_sec_js_lib_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_js_lib_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'js_lib\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_js_lib_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_js_lib_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'js_lib\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_js_lib_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_js_lib_id(int) RETURNS co_sec_js_lib AS
     '
        SELECT * FROM co_sec_js_lib WHERE co_sec_js_lib.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_js_lib_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_js_lib_version(int) RETURNS co_sec_js_lib AS
     '
        SELECT * FROM co_sec_js_lib WHERE co_sec_js_lib.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_js_lib_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_js_lib_deleted(int) RETURNS co_sec_js_lib AS
     '
        SELECT * FROM co_sec_js_lib WHERE co_sec_js_lib.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_js_lib_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_js_lib_inherits_acl(int) RETURNS co_sec_js_lib AS
     '
        SELECT * FROM co_sec_js_lib WHERE co_sec_js_lib.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_js_lib_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_js_lib_name(text) RETURNS co_sec_js_lib AS
     '
        SELECT * FROM co_sec_js_lib WHERE co_sec_js_lib.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_js_lib_id_parent(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_js_lib_id_parent(int) RETURNS co_sec_js_lib AS
     '
        SELECT * FROM co_sec_js_lib WHERE co_sec_js_lib.id_parent = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_js_lib_id_type(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_js_lib_id_type(text) RETURNS co_sec_js_lib AS
     '
        SELECT * FROM co_sec_js_lib WHERE co_sec_js_lib.id_type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_js_lib_id_js_code(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_js_lib_id_js_code(int) RETURNS co_sec_js_lib AS
     '
        SELECT * FROM co_sec_js_lib WHERE co_sec_js_lib.id_js_code = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_js_lib_description(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_js_lib_description(text) RETURNS co_sec_js_lib AS
     '
        SELECT * FROM co_sec_js_lib WHERE co_sec_js_lib.description = $1
     '
     LANGUAGE 'sql'
     !GO
       