 
  DROP FUNCTION co_sec_user_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_user_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'user\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_user_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_user_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'user\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_user_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_user_id(int) RETURNS co_sec_user AS
     '
        SELECT * FROM co_sec_user WHERE co_sec_user.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_user_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_user_version(int) RETURNS co_sec_user AS
     '
        SELECT * FROM co_sec_user WHERE co_sec_user.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_user_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_user_deleted(int) RETURNS co_sec_user AS
     '
        SELECT * FROM co_sec_user WHERE co_sec_user.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_user_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_user_inherits_acl(int) RETURNS co_sec_user AS
     '
        SELECT * FROM co_sec_user WHERE co_sec_user.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_user_id_role(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_user_id_role(int) RETURNS co_sec_user AS
     '
        SELECT * FROM co_sec_user WHERE co_sec_user.id_role = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_user_login(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_user_login(text) RETURNS co_sec_user AS
     '
        SELECT * FROM co_sec_user WHERE co_sec_user.login = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_user_passwd(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_user_passwd(text) RETURNS co_sec_user AS
     '
        SELECT * FROM co_sec_user WHERE co_sec_user.passwd = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_user_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_user_name(text) RETURNS co_sec_user AS
     '
        SELECT * FROM co_sec_user WHERE co_sec_user.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_user_description(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_user_description(text) RETURNS co_sec_user AS
     '
        SELECT * FROM co_sec_user WHERE co_sec_user.description = $1
     '
     LANGUAGE 'sql'
     !GO
       