 
  DROP FUNCTION co_sys_generic_acl_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_generic_acl_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'generic_acl\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_generic_acl_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_generic_acl_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'generic_acl\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_generic_acl_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_generic_acl_id(int) RETURNS co_sys_generic_acl AS
     '
        SELECT * FROM co_sys_generic_acl WHERE co_sys_generic_acl.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_generic_acl_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_generic_acl_version(int) RETURNS co_sys_generic_acl AS
     '
        SELECT * FROM co_sys_generic_acl WHERE co_sys_generic_acl.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_generic_acl_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_generic_acl_deleted(int) RETURNS co_sys_generic_acl AS
     '
        SELECT * FROM co_sys_generic_acl WHERE co_sys_generic_acl.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_generic_acl_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_generic_acl_inherits_acl(int) RETURNS co_sys_generic_acl AS
     '
        SELECT * FROM co_sys_generic_acl WHERE co_sys_generic_acl.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
       