 
  DROP FUNCTION co_sys_spreadsheet_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_spreadsheet_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'spreadsheet\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_spreadsheet_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_spreadsheet_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'spreadsheet\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_spreadsheet_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_id(int) RETURNS co_sys_spreadsheet AS
     '
        SELECT * FROM co_sys_spreadsheet WHERE co_sys_spreadsheet.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_version(int) RETURNS co_sys_spreadsheet AS
     '
        SELECT * FROM co_sys_spreadsheet WHERE co_sys_spreadsheet.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_deleted(int) RETURNS co_sys_spreadsheet AS
     '
        SELECT * FROM co_sys_spreadsheet WHERE co_sys_spreadsheet.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_name(text) RETURNS co_sys_spreadsheet AS
     '
        SELECT * FROM co_sys_spreadsheet WHERE co_sys_spreadsheet.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION cof_sys_spreadsheet_cols(co_sys_spreadsheet)
     !NOERROR

     CREATE FUNCTION  cof_sys_spreadsheet_cols(co_sys_spreadsheet)
            RETURNS int AS
     '
select max(column_number) from co_sys_spreadsheet_column where spreadsheet_id=($1.id);

     '
     LANGUAGE 'sql'
     !GO
       
     DROP FUNCTION cof_sys_spreadsheet_rows(co_sys_spreadsheet)
     !NOERROR

     CREATE FUNCTION  cof_sys_spreadsheet_rows(co_sys_spreadsheet)
            RETURNS int AS
     '
select max(row_number) from co_sys_spreadsheet_row where spreadsheet_id=($1.id);

     '
     LANGUAGE 'sql'
     !GO
      