 
  DROP FUNCTION co_sys_spreadsheet_cevent_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_spreadsheet_cevent_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\'
         AND class_name = \'spreadsheet\'
	 AND id_object = (SELECT spreadsheet_id FROM co_sys_spreadsheet_cevent WHERE id= $1 )
	 AND id_permission = $2 AND id_role = $3 ;
	
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_spreadsheet_cevent_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_spreadsheet_cevent_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\'
         AND class_name = \'\'
	 AND id_permission = $1
	 AND id_role = $2 ;
	
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_spreadsheet_cevent_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_cevent_id(int) RETURNS co_sys_spreadsheet_cevent AS
     '
        SELECT * FROM co_sys_spreadsheet_cevent WHERE co_sys_spreadsheet_cevent.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_cevent_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_cevent_version(int) RETURNS co_sys_spreadsheet_cevent AS
     '
        SELECT * FROM co_sys_spreadsheet_cevent WHERE co_sys_spreadsheet_cevent.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_cevent_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_cevent_deleted(int) RETURNS co_sys_spreadsheet_cevent AS
     '
        SELECT * FROM co_sys_spreadsheet_cevent WHERE co_sys_spreadsheet_cevent.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_cevent_spreadsheet_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_cevent_spreadsheet_id(int) RETURNS co_sys_spreadsheet_cevent AS
     '
        SELECT * FROM co_sys_spreadsheet_cevent WHERE co_sys_spreadsheet_cevent.spreadsheet_id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_cevent_column_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_cevent_column_id(int) RETURNS co_sys_spreadsheet_cevent AS
     '
        SELECT * FROM co_sys_spreadsheet_cevent WHERE co_sys_spreadsheet_cevent.column_id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_cevent_row_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_cevent_row_id(int) RETURNS co_sys_spreadsheet_cevent AS
     '
        SELECT * FROM co_sys_spreadsheet_cevent WHERE co_sys_spreadsheet_cevent.row_id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_cevent_event_type_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_cevent_event_type_id(int) RETURNS co_sys_spreadsheet_cevent AS
     '
        SELECT * FROM co_sys_spreadsheet_cevent WHERE co_sys_spreadsheet_cevent.event_type_id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_cevent_id_js_code(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_cevent_id_js_code(int) RETURNS co_sys_spreadsheet_cevent AS
     '
        SELECT * FROM co_sys_spreadsheet_cevent WHERE co_sys_spreadsheet_cevent.id_js_code = $1
     '
     LANGUAGE 'sql'
     !GO
       