 
  DROP FUNCTION co_sys_spreadsheet_rectangle_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_spreadsheet_rectangle_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sys_acl WHERE area = \'sys\' AND class_name = \'spreadsheet\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_spreadsheet_rectangle_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_spreadsheet_rectangle_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sys_acl_class WHERE area = \'sys\' AND class_name = \'spreadsheet\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_spreadsheet_rectangle_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_rectangle_id(int) RETURNS co_sys_spreadsheet_rectangle AS
     '
        SELECT * FROM co_sys_spreadsheet_rectangle WHERE co_sys_spreadsheet_rectangle.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_rectangle_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_rectangle_version(int) RETURNS co_sys_spreadsheet_rectangle AS
     '
        SELECT * FROM co_sys_spreadsheet_rectangle WHERE co_sys_spreadsheet_rectangle.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_rectangle_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_rectangle_deleted(int) RETURNS co_sys_spreadsheet_rectangle AS
     '
        SELECT * FROM co_sys_spreadsheet_rectangle WHERE co_sys_spreadsheet_rectangle.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
       