 
  DROP FUNCTION co_usr_app_action_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_app_action_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'usr\' AND class_name = \'app_action\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_app_action_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_app_action_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'app_action\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_app_action_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_id(int) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_app_action_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_version(int) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_app_action_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_deleted(int) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_app_action_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_inherits_acl(int) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_app_action_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_name(text) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_app_action_id_catalog_type(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_id_catalog_type(int) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.id_catalog_type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_app_action_id_item(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_id_item(int) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.id_item = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_app_action_description(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_description(text) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.description = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_app_action_id_user(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_id_user(int) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.id_user = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_app_action_id_parent(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_id_parent(int) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.id_parent = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_app_action_link2action(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_app_action_link2action(text) RETURNS co_usr_app_action AS
     '
        SELECT * FROM co_usr_app_action WHERE co_usr_app_action.link2action = $1
     '
     LANGUAGE 'sql'
     !GO
       