 
  DROP FUNCTION co_usr_menu_action_param_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_menu_action_param_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'usr\' AND class_name = \'menu_action_param\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_menu_action_param_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_menu_action_param_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'menu_action_param\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_menu_action_param_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_id(int) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_version(int) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_deleted(int) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_inherits_acl(int) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_id_menu_action(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_id_menu_action(int) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.id_menu_action = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_param_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_param_name(text) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.param_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_param_optional(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_param_optional(int) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.param_optional = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_param_default(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_param_default(text) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.param_default = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_param_foreign(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_param_foreign(text) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.param_foreign = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_param_foreign_prop(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_param_foreign_prop(text) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.param_foreign_prop = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_param_position(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_param_position(int) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.param_position = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_action_param_param_type(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_action_param_param_type(text) RETURNS co_usr_menu_action_param AS
     '
        SELECT * FROM co_usr_menu_action_param WHERE co_usr_menu_action_param.param_type = $1
     '
     LANGUAGE 'sql'
     !GO
       