 
  DROP FUNCTION co_usr_sdoc_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_sdoc_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'usr\' AND class_name = \'sdoc\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_sdoc_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_sdoc_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'sdoc\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_sdoc_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_id(int) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_version(int) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_deleted(int) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_inherits_acl(int) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_name(text) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_id_catalog_type(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_id_catalog_type(int) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.id_catalog_type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_id_item(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_id_item(int) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.id_item = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_description(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_description(text) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.description = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_id_user(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_id_user(int) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.id_user = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_id_parent(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_id_parent(int) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.id_parent = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_id_sdoc_tag(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_id_sdoc_tag(int) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.id_sdoc_tag = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_approved(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_approved(int) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.approved = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_sposition(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_sposition(text) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.sposition = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_main_text(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_main_text(text) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.main_text = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_comment(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_comment(text) RETURNS co_usr_sdoc AS
     '
        SELECT * FROM co_usr_sdoc WHERE co_usr_sdoc.comment = $1
     '
     LANGUAGE 'sql'
     !GO
       