
  select co_sec_meta_class_add('meta_method', 'generic_acl' , 'meta_class', 'class_name')
  !SELECT

  UPDATE co_sec_meta_class SET default_form = '', force_sec_type='1' WHERE class_name = 'meta_method'
  !GO

DELETE FROM co_sec_meta_prop WHERE class_name='meta_method'
!GO
  
INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'id','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'version','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'deleted','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'inherits_acl','HIDDEN=1;READONLY=1','0','','',
         '', '', '', 
	 '50','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'class_name','','1','meta_class','class_name',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'method_name','','1','','',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'id_permission','','1','permission','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'id_onbefore_script','','1','js_code','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'id_onbefore_method','','1','meta_method','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'id_onafter_script','','1','js_code','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'id_onafter_method','','1','meta_method','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'profiled','','1','','',
         '', '', '', 
	 '210','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'sec_type','VALUES=new Array(0,1);','0','','',
         '', '', '', 
	 '220','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_method', 'force_sec_type','VALUES=new Array(0,1);','0','','',
         '', '', '', 
	 '220','CO_INTEGER', '')
!GO  

DELETE FROM co_sec_meta_method WHERE class_name='meta_method'
!GO
