
  select co_sec_meta_class_add('user', 'generic_acl' , 'role', 'id')
  !SELECT

  UPDATE co_sec_meta_class SET default_form = 'showForm&deep_level=1', force_sec_type='' WHERE class_name = 'user'
  !GO

DELETE FROM co_sec_meta_prop WHERE class_name='user'
!GO
  
INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('user', 'id','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('user', 'version','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('user', 'deleted','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('user', 'inherits_acl','HIDDEN=1;READONLY=1','0','','',
         '', '', '', 
	 '50','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('user', 'id_role','
READONLY=1;
EXTRA_FILTER=\"id_catalog_type\|=\|1\";

','1','role','id',
         '', '', '', 
	 '100','CO_INTEGER', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('user', 'login','','1','','',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('user', 'passwd','','0','','',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('user', 'name','','1','','',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

INSERT INTO co_sec_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('user', 'description','','1','','',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

DELETE FROM co_sec_meta_method WHERE class_name='user'
!GO

insert into co_sec_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('user', 'update','2', '0', '')
!GO

insert into co_sec_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('user', 'create','10', '1', '')
!GO

insert into co_sec_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('user', 'changePasswd','14', '', '')
!GO
