
  select co_sys_meta_class_add('expression_cell', 'generic' , 'spreadsheet', 'id_spreadsheet')
  !SELECT

  UPDATE co_sys_meta_class SET default_form = '', force_sec_type='' WHERE class_name = 'expression_cell'
  !GO

DELETE FROM co_sys_meta_prop WHERE class_name='expression_cell'
!GO
  
INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'version','READONLY=1','1','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'deleted','READONLY=1','1','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'id_spreadsheet','','1','','',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'id_column','','1','','',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'id_row','','1','','',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'index_ref','','1','','',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'id_ref_spreadsheet','','1','','',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'id_ref_row','','1','','',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'id_ref_column','','1','','',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'is_ref_row_hard','','1','','',
         '', '', '', 
	 '200','CO_BOOL', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'is_ref_column_hard','','1','','',
         '', '', '', 
	 '200','CO_BOOL', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'is_ref_row_named','','1','','',
         '', '', '', 
	 '200','CO_BOOL', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('expression_cell', 'is_ref_column_named','','1','','',
         '', '', '', 
	 '200','CO_BOOL', '')
!GO  

DELETE FROM co_sys_meta_method WHERE class_name='expression_cell'
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('expression_cell', 'check_acl','0', '', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('expression_cell', 'getReferencedValue','1', '', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('expression_cell', 'setReferencedCell','2', '', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('expression_cell', 'purgeExtraReferences','5', '', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('expression_cell', 'fillDownCellRef','3', '', '')
!GO
