
  select co_sys_meta_class_add('spreadsheet_cell', '0' , 'column', 'column_id')
  !SELECT

  UPDATE co_sys_meta_class SET default_form = '', force_sec_type='' WHERE class_name = 'spreadsheet_cell'
  !GO

DELETE FROM co_sys_meta_prop WHERE class_name='spreadsheet_cell'
!GO
  
INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'id','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'version','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'deleted','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'column_id','','1','spreadsheet_column','id',
         '', '', '', 
	 '44','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'row_id','','1','spreadsheet_row','id',
         '', '', '', 
	 '44','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'column_number','','1','','',
         '', '', '', 
	 '44','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'row_number','','1','','',
         '', '', '', 
	 '44','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'type','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'value','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'value_num','','1','','',
         '', '', '', 
	 '44','CO_NUMERIC', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'value_date','','1','','',
         '', '', '', 
	 '44','CO_DATE', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'align','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'fontsize','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'textstyle','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'textcolor','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_cell', 'fontfamily','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

DELETE FROM co_sys_meta_method WHERE class_name='spreadsheet_cell'
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_cell', 'getAttribute','1', '', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_cell', 'setAttribute','2', '', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_cell', 'fromClipboard','2', '', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_cell', 'toClipboard','1', '', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_cell', 'onClientEvent','11', '', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_cell', 'cell_onBeforeValueChange','11', '', '')
!GO
