#include "co_lib.h"
#include <setjmp.h>
#include <errno.h>

/* serious Error: finish connection and exit it. Still, handle other requests */
void
cou_error( co_context *ctx, const char *error_msg)
{
    ap_log_rerror(APLOG_MARK, APLOG_NOERRNO|APLOG_ERR, ctx->request,
                         error_msg);
    cou_sendMessageX( ctx, error_msg, CO_MSG_FORCE); /* was: CO_MSG_ERROR */

    errno = 0; /* that is enough */
    siglongjmp(ctx->sigenv, -1);
}