#ifndef MOD_COFFICE_H
#define MOD_COFFICE_H

extern
void
cou_putJS( co_context *ctx, const char* script);

extern
const char *
cou_getCORootPath( co_context* cnx);

extern
const char *
cou_getCODataPath();

extern
const char *
cou_getCOHtmlLibPath();

extern
const char *
cou_getCOJsLibPath();

extern
const char *
cou_getCOImagePath();

typedef struct coffice_server_conf coffice_server_conf;

extern
coffice_server_conf *
cox_getCOfficeConfig( co_context *ctx );
/*
extern
int (*
co_callByName(co_context *, const char* submodule_name, const char* method_name)
)(co_context *, ... );
*/
extern
int (*
co_callByNameExt(co_context *, const char* submodule_name, const char* prefix, const char* method_name)
)(co_context *, ... );

#define co_callByName(CTX, SUBMOD, METHOD) \
    co_callByNameExt(CTX, SUBMOD, "co", METHOD)

/* evaluate filename as ASP page - parse and execute as JavaScript */
/* returns Apache status (OK, DECLINED etc. */
int
co_send_activeFromFile( co_context *ctx, const char *filename );

#endif