

/* BEGINING OF CLASS */
    
#include "../../../include/types.t"
#include "../../../include/defines.t"
     
#define __PARAMS_HEADER2 __PARAMS_HEADER
     
class faktura_zakupu_pozycja
{
   area usr;
   inherits generic_acl;
        
   container_class '';
   container_column_name '';
	      
   #include "../../../include/generic_acl_props.t"   

   
        prop numer_konta
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 200;
        };
   
        prop wartosc_netto
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 400;
        };
   
        prop stawka_vat
        {
            type CO_STRING;
            default "''";
            params 'VALUES=ZW |0  |7  |22 |NP ';
            representant '';
            foreign '';
            foreign_prop '';
            position 600;
        };
   
        prop grupa
        {
            type CO_STRING;
            default "''";
            params 'VALUES=TISM|CO|ENSI|inne';
            representant '';
            foreign '';
            foreign_prop '';
            position 230;
        };
   
        prop id_faktura_zakupu
        {
            type CO_STRING;
            default "''";
            params '';
            representant '1';
            foreign 'faktura_zakupu';
            foreign_prop 'id';
            position 100;
        };
   
        prop podgrupa1
        {
            type CO_STRING;
            default "''";
            params 'VALUES=konferencja|biuletyn|test penetracyjn|szkolenie|polityka bezpieczenstwa|inne';
            representant '';
            foreign '';
            foreign_prop '';
            position 300;
        };
   
        prop wartosc_brutto
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 500;
        };
   
        prop podgrupa2
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 350;
        };
   
        prop wartosc_vat
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 700;
        };
   
        prop tytul
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 150;
        };
}; // end of class: faktura_zakupu_pozycja 
