

/* BEGINING OF CLASS */
    
#include "../../../include/types.t"
#include "../../../include/defines.t"
     
#define __PARAMS_HEADER2 __PARAMS_HEADER
     
class zamowienie_pozycja
{
   area usr;
   inherits generic_acl;
        
   container_class '';
   container_column_name '';
	      
   #include "../../../include/generic_acl_props.t"   

   
        prop id_zamowienie
        {
            type CO_INTEGER;
            default 0;
            params '';
            representant '';
            foreign 'zamowienie';
            foreign_prop 'id';
            position 10;
        };
   
        prop grupa
        {
            type CO_STRING;
            default "''";
            params 'VALUES=TISM|CO|ENSI|inne';
            representant '';
            foreign '';
            foreign_prop '';
            position 15;
        };
   
        prop id_reprezentant
        {
            type CO_INTEGER;
            default 0;
            params '';
            representant '0';
            foreign 'reprezentant';
            foreign_prop 'id';
            position 12;
        };
   
        prop od_numeru
        {
            type CO_STRING;
            default "''";
            params '';
            representant '1';
            foreign '';
            foreign_prop '';
            position 30;
        };
   
        prop ile_numerow
        {
            type CO_INTEGER;
            default 1;
            params '';
            representant '1';
            foreign '';
            foreign_prop '';
            position 40;
        };
   
        prop ilosc
        {
            type CO_NUMERIC;
            default 0;
            params '';
            representant '1';
            foreign '';
            foreign_prop '';
            position 28;
        };
   
        prop wartosc_netto
        {
            type CO_NUMERIC;
            default 0;
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 90;
        };
   
        prop numer_sww
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 55;
        };
   
        prop nazwa_rozszerzona
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 25;
        };
   
        prop zrealizowane
        {
            type CO_INTEGER;
            default 1;
            params '';
            representant '1';
            foreign '';
            foreign_prop '';
            position 100;
        };
   
        prop stawka_vat
        {
            type CO_STRING;
            default "'22'";
            params 'VALUES=0|7|22';
            representant '';
            foreign '';
            foreign_prop '';
            position 70;
        };
   
        prop vat_zwolniony
        {
            type CO_INTEGER;
            default 0;
            params 'VALUES=0|1|2';
            representant '';
            foreign '';
            foreign_prop '';
            position 80;
        };
   
        prop cena_netto
        {
            type CO_NUMERIC;
            default 0;
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 60;
        };
   
        prop podgrupa1
        {
            type CO_STRING;
            default "''";
            params 'VALUES=udzia w konferencji|materia konferencyjne|marketing na konferencji|biuletyn|test penetracyjn|szkolenie|polityka bezpieczenstwa|inne';
            representant '';
            foreign '';
            foreign_prop '';
            position 16;
        };
   
        prop podgrupa2
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 18;
        };
}; // end of class: zamowienie_pozycja 
