#include "../../include/init_file_names.t"  
#include "../../include/defines.t"      

file __INIT_MENU_GENERIC_ACL()
{

/* this is default menu that we can see on generic forms */
class menu
{
  area sys;
  area sec;
  area usr;

  full_control root;
  full_control user;

  remove_old "name='default#single@generic_acl'";
  p name       {val		'default#single@generic_acl';};
  p id_parent  {getByName 	menu {f root;};};
  p class_name {val		generic_acl;};
};

/* this is default menu that we can see on generic find forms */
class menu
{
  area sys;
  area sec;
  area usr;

  full_control root;
  full_control user;

  remove_old "name='default#multi@generic_acl'";
  p name       {val		'default#multi@generic_acl';};
  p id_parent  {getByName 	menu {f root;};};
  p class_name {val		generic_acl;};
};

#if 0
/* menu_delete */
class js_code
{
  area sys;
  area sec;
  area usr;

  full_control root;
  full_control user;

   p code
   {
      val
      %%
      // ONLY FOR TEST PURPOSES!
       var par_area = COServer.getAreaName();
       ap_write("alert('IT WORKS!')");
      %%
      ;
    };
};    

class  menu_action
{
  area sys;
  area sec;
  area usr;

  full_control root;
  full_control user;

  remove_old "name='delete'";

   p name {val generic_delete;};
   p id_js_code {recent js_code;};
};

class menu_action_param
{
  area sys;
  area sec;
  area usr;


  full_control root;
  full_control user;

  p param_name {val active_class;};
  p id_menu_action {recent menu_action;};
};  

class menu_action_param
{
  area sys;
  area sec;
  area usr;


  full_control root;
  full_control user;

  p param_name {val active_item;};
  p id_menu_action {recent menu_action;};
};  

class menu_action_param
{
  area sys;
  area sec;
  area usr;


  full_control root;
  full_control user;

  p param_name {val version;};
  p id_menu_action {recent menu_action;};
};  


class menu
{
	area sys;
	area sec;
	area usr;

	full_control root;
        full_control user;

	p name {val delete;};
	p display_name {val kasuj;};
	p menu_params {val 'DISPLAY_NAME=\'kasuj se\'';};

	p class_name {val generic_acl;};
	p id_parent { getByName menu {f 'default#single@generic_acl';};};
	p id_menu_action {recent menu_action;};
	p id_permission {val __PERMISSION_DELETE ;};
	p menu_position {val 200; };
};

/* end of delete */

#endif

/* multi_create */
class js_code
{
	area sys;
	area sec;
	area usr;

	full_control root;
        full_control user;

	p code
	{
		val
		%%
		var par_area = COServer.getAreaName();
		var obj = eval("new class_"+ context.active_class + "('" + par_area + "')");
		var new_id = obj.createAndSetWithACL(-1);
		ap_write("open_url('/co/html/" + par_area + "/" + context.active_class + "?showForm&deep_level=2&par_id="+new_id+"');");
		%%
		;
	};
};    

class  menu_action
{
  area sys;
  area sec;
  area usr;

  full_control root;
  full_control user;

  remove_old "name='generic_multi_create'";

   p name {val generic_multi_create;};
   p id_js_code {recent js_code;};
};

class menu_action_param
{
  area sys;
  area sec;
  area usr;


  full_control root;
  full_control user;

  p param_name {val active_class;};
  p id_menu_action {recent menu_action;};
};  

class menu_action_param
{
  area sys;
  area sec;
  area usr;


  full_control root;
  full_control user;

  p param_name {val active_item;};
  p id_menu_action {recent menu_action;};
};  

class menu
{
	area sys;
	area sec;
	area usr;

	full_control root;
	full_control user;

	remove_old "name='multi_create'";

	p name {val multi_create;};
	p display_name {val 'Nowy';};
	p class_name {val generic_acl;};
	p id_parent { getByName menu {f 'default#multi@generic_acl';};};
	p id_menu_action {recent menu_action;};
	p id_permission {val __PERMISSION_CREATE ;};
	p menu_position {val 200; };
        p menu_params {val
   %%
   if(par_class=='pismo' || par_class=='sposob_odpowiedzi') HIDDEN=1;
   %%
   ;
    };
	p sec_type {val __METHOD_SEC_TYPE_CLASS;};
};

/* end of multi_test */
}; // end of file menu_generic_acl
