 
          DROP FUNCTION co_sec_acl_check(text, text, int, int, int)
 
          !NOERROR 
          CREATE FUNCTION  co_sec_acl_check(text, text, int, int, int)

          RETURNS  int
          AS ' 
 SELECT 1 FROM co_sec_acl
WHERE area = $1 AND class_name = $2 AND id_object = $3 AND id_permission = $4 AND id_role = $5 ;

    ' LANGUAGE 'sql'
    !GO 
  
  DROP FUNCTION co_sec_acl_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_acl_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'acl\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_acl_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_acl_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'acl\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_acl_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_id(int) RETURNS co_sec_acl AS
     '
        SELECT * FROM co_sec_acl WHERE co_sec_acl.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_version(int) RETURNS co_sec_acl AS
     '
        SELECT * FROM co_sec_acl WHERE co_sec_acl.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_deleted(int) RETURNS co_sec_acl AS
     '
        SELECT * FROM co_sec_acl WHERE co_sec_acl.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_id_permission(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_id_permission(int) RETURNS co_sec_acl AS
     '
        SELECT * FROM co_sec_acl WHERE co_sec_acl.id_permission = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_id_object(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_id_object(int) RETURNS co_sec_acl AS
     '
        SELECT * FROM co_sec_acl WHERE co_sec_acl.id_object = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_id_role(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_id_role(int) RETURNS co_sec_acl AS
     '
        SELECT * FROM co_sec_acl WHERE co_sec_acl.id_role = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_area(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_area(text) RETURNS co_sec_acl AS
     '
        SELECT * FROM co_sec_acl WHERE co_sec_acl.area = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_class_name(text) RETURNS co_sec_acl AS
     '
        SELECT * FROM co_sec_acl WHERE co_sec_acl.class_name = $1
     '
     LANGUAGE 'sql'
     !GO
       