 
          DROP FUNCTION co_sec_acl_class_check(text, text, int, int)
 
          !NOERROR 
          CREATE FUNCTION  co_sec_acl_class_check(text, text, int, int)

          RETURNS  int
          AS ' 
 SELECT 1 FROM co_sec_acl_class
WHERE area = $1 AND class_name = $2 AND id_permission = $3 AND id_role = $4 ;

    ' LANGUAGE 'sql'
    !GO 
  
  DROP FUNCTION co_sec_acl_class_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_acl_class_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'acl_class\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_acl_class_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_acl_class_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'acl_class\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_acl_class_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_class_id(int) RETURNS co_sec_acl_class AS
     '
        SELECT * FROM co_sec_acl_class WHERE co_sec_acl_class.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_class_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_class_version(int) RETURNS co_sec_acl_class AS
     '
        SELECT * FROM co_sec_acl_class WHERE co_sec_acl_class.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_class_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_class_deleted(int) RETURNS co_sec_acl_class AS
     '
        SELECT * FROM co_sec_acl_class WHERE co_sec_acl_class.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_class_id_permission(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_class_id_permission(int) RETURNS co_sec_acl_class AS
     '
        SELECT * FROM co_sec_acl_class WHERE co_sec_acl_class.id_permission = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_class_id_role(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_class_id_role(int) RETURNS co_sec_acl_class AS
     '
        SELECT * FROM co_sec_acl_class WHERE co_sec_acl_class.id_role = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_class_area(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_class_area(text) RETURNS co_sec_acl_class AS
     '
        SELECT * FROM co_sec_acl_class WHERE co_sec_acl_class.area = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_acl_class_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_acl_class_class_name(text) RETURNS co_sec_acl_class AS
     '
        SELECT * FROM co_sec_acl_class WHERE co_sec_acl_class.class_name = $1
     '
     LANGUAGE 'sql'
     !GO
       