 
  DROP FUNCTION co_sec_report_element_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_report_element_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'report_element\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_report_element_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_report_element_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'report_element\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_report_element_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_id(int) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_version(int) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_deleted(int) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_inherits_acl(int) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_id_report(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_id_report(int) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.id_report = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_class_name(text) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.class_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_prop_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_prop_name(text) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.prop_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_display_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_display_name(text) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.display_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_filter_operator(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_filter_operator(text) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.filter_operator = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_filter_value(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_filter_value(text) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.filter_value = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_active(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_active(int) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.active = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_report_element_params(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_report_element_params(text) RETURNS co_sec_report_element AS
     '
        SELECT * FROM co_sec_report_element WHERE co_sec_report_element.params = $1
     '
     LANGUAGE 'sql'
     !GO
       