 
  DROP FUNCTION co_sec_role_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_role_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'role\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_role_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_role_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'role\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_role_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_role_id(int) RETURNS co_sec_role AS
     '
        SELECT * FROM co_sec_role WHERE co_sec_role.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_role_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_role_version(int) RETURNS co_sec_role AS
     '
        SELECT * FROM co_sec_role WHERE co_sec_role.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_role_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_role_deleted(int) RETURNS co_sec_role AS
     '
        SELECT * FROM co_sec_role WHERE co_sec_role.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_role_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_role_inherits_acl(int) RETURNS co_sec_role AS
     '
        SELECT * FROM co_sec_role WHERE co_sec_role.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_role_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_role_name(text) RETURNS co_sec_role AS
     '
        SELECT * FROM co_sec_role WHERE co_sec_role.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_role_id_catalog_type(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_role_id_catalog_type(int) RETURNS co_sec_role AS
     '
        SELECT * FROM co_sec_role WHERE co_sec_role.id_catalog_type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_role_id_item(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_role_id_item(int) RETURNS co_sec_role AS
     '
        SELECT * FROM co_sec_role WHERE co_sec_role.id_item = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_role_description(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_role_description(text) RETURNS co_sec_role AS
     '
        SELECT * FROM co_sec_role WHERE co_sec_role.description = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_role_id_user(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_role_id_user(int) RETURNS co_sec_role AS
     '
        SELECT * FROM co_sec_role WHERE co_sec_role.id_user = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_role_id_parent(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_role_id_parent(int) RETURNS co_sec_role AS
     '
        SELECT * FROM co_sec_role WHERE co_sec_role.id_parent = $1
     '
     LANGUAGE 'sql'
     !GO
       