 
  DROP FUNCTION co_sys_clipboard_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_clipboard_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'clipboard\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_clipboard_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_clipboard_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'clipboard\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_clipboard_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_clipboard_id(int) RETURNS co_sys_clipboard AS
     '
        SELECT * FROM co_sys_clipboard WHERE co_sys_clipboard.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_clipboard_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_clipboard_version(int) RETURNS co_sys_clipboard AS
     '
        SELECT * FROM co_sys_clipboard WHERE co_sys_clipboard.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_clipboard_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_clipboard_deleted(int) RETURNS co_sys_clipboard AS
     '
        SELECT * FROM co_sys_clipboard WHERE co_sys_clipboard.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_clipboard_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_clipboard_inherits_acl(int) RETURNS co_sys_clipboard AS
     '
        SELECT * FROM co_sys_clipboard WHERE co_sys_clipboard.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_clipboard_user_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_clipboard_user_id(int) RETURNS co_sys_clipboard AS
     '
        SELECT * FROM co_sys_clipboard WHERE co_sys_clipboard.user_id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_clipboard_object_serialization(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_clipboard_object_serialization(text) RETURNS co_sys_clipboard AS
     '
        SELECT * FROM co_sys_clipboard WHERE co_sys_clipboard.object_serialization = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_clipboard_owner_area(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_clipboard_owner_area(text) RETURNS co_sys_clipboard AS
     '
        SELECT * FROM co_sys_clipboard WHERE co_sys_clipboard.owner_area = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_clipboard_owner_class(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_clipboard_owner_class(text) RETURNS co_sys_clipboard AS
     '
        SELECT * FROM co_sys_clipboard WHERE co_sys_clipboard.owner_class = $1
     '
     LANGUAGE 'sql'
     !GO
       