 
  DROP FUNCTION co_sys_label_class_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_label_class_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'label_class\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_label_class_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_label_class_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'label_class\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_label_class_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_class_id(int) RETURNS co_sys_label_class AS
     '
        SELECT * FROM co_sys_label_class WHERE co_sys_label_class.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_class_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_class_version(int) RETURNS co_sys_label_class AS
     '
        SELECT * FROM co_sys_label_class WHERE co_sys_label_class.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_class_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_class_deleted(int) RETURNS co_sys_label_class AS
     '
        SELECT * FROM co_sys_label_class WHERE co_sys_label_class.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_class_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_class_inherits_acl(int) RETURNS co_sys_label_class AS
     '
        SELECT * FROM co_sys_label_class WHERE co_sys_label_class.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_class_id_meta_class(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_class_id_meta_class(int) RETURNS co_sys_label_class AS
     '
        SELECT * FROM co_sys_label_class WHERE co_sys_label_class.id_meta_class = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_class_language(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_class_language(text) RETURNS co_sys_label_class AS
     '
        SELECT * FROM co_sys_label_class WHERE co_sys_label_class.language = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_class_text(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_class_text(text) RETURNS co_sys_label_class AS
     '
        SELECT * FROM co_sys_label_class WHERE co_sys_label_class.text = $1
     '
     LANGUAGE 'sql'
     !GO
       