 
  DROP FUNCTION co_sys_label_prop_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_label_prop_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'label_prop\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_label_prop_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_label_prop_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'label_prop\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_label_prop_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_prop_id(int) RETURNS co_sys_label_prop AS
     '
        SELECT * FROM co_sys_label_prop WHERE co_sys_label_prop.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_prop_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_prop_version(int) RETURNS co_sys_label_prop AS
     '
        SELECT * FROM co_sys_label_prop WHERE co_sys_label_prop.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_prop_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_prop_deleted(int) RETURNS co_sys_label_prop AS
     '
        SELECT * FROM co_sys_label_prop WHERE co_sys_label_prop.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_prop_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_prop_inherits_acl(int) RETURNS co_sys_label_prop AS
     '
        SELECT * FROM co_sys_label_prop WHERE co_sys_label_prop.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_prop_id_meta_prop(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_prop_id_meta_prop(int) RETURNS co_sys_label_prop AS
     '
        SELECT * FROM co_sys_label_prop WHERE co_sys_label_prop.id_meta_prop = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_prop_language(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_prop_language(text) RETURNS co_sys_label_prop AS
     '
        SELECT * FROM co_sys_label_prop WHERE co_sys_label_prop.language = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_label_prop_text(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_label_prop_text(text) RETURNS co_sys_label_prop AS
     '
        SELECT * FROM co_sys_label_prop WHERE co_sys_label_prop.text = $1
     '
     LANGUAGE 'sql'
     !GO
       