 
  DROP FUNCTION co_sys_menu_action_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_menu_action_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'menu_action\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_menu_action_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_menu_action_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'menu_action\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_menu_action_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_menu_action_id(int) RETURNS co_sys_menu_action AS
     '
        SELECT * FROM co_sys_menu_action WHERE co_sys_menu_action.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_menu_action_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_menu_action_version(int) RETURNS co_sys_menu_action AS
     '
        SELECT * FROM co_sys_menu_action WHERE co_sys_menu_action.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_menu_action_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_menu_action_deleted(int) RETURNS co_sys_menu_action AS
     '
        SELECT * FROM co_sys_menu_action WHERE co_sys_menu_action.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_menu_action_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_menu_action_inherits_acl(int) RETURNS co_sys_menu_action AS
     '
        SELECT * FROM co_sys_menu_action WHERE co_sys_menu_action.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_menu_action_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_menu_action_name(text) RETURNS co_sys_menu_action AS
     '
        SELECT * FROM co_sys_menu_action WHERE co_sys_menu_action.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_menu_action_id_js_code(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_menu_action_id_js_code(int) RETURNS co_sys_menu_action AS
     '
        SELECT * FROM co_sys_menu_action WHERE co_sys_menu_action.id_js_code = $1
     '
     LANGUAGE 'sql'
     !GO
       