 
          DROP FUNCTION co_usr_meta_class_add(text,text,text,text)
 
          !NOERROR 
          CREATE FUNCTION  co_usr_meta_class_add(text,text,text,text)

          RETURNS  int
          AS ' 
 
      DECLARE
       _class_name ALIAS FOR $1;
       _inherits_from alias for $2;
       _container_class alias for $3;
       _container_column alias for $4;
      BEGIN
       delete from co_usr_meta_class where class_name = _class_name;
       insert into co_usr_meta_class(class_name, inherits_from, container_class, container_column_name)
	   values(_class_name, _inherits_from, _container_class, _container_column);
	    
       RETURN 1;
      END;
      

    ' LANGUAGE 'plpgsql'
    !GO 
  
  DROP FUNCTION co_usr_meta_class_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_meta_class_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'meta_class\' AND id_permission = $1 AND id_role = $2 ; 
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_meta_class_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_meta_class_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'meta_class\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_meta_class_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_id(int) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_class_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_version(int) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_class_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_deleted(int) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_class_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_inherits_acl(int) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_class_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_class_name(text) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.class_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_class_inherits_from(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_inherits_from(text) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.inherits_from = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_class_container_class(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_container_class(text) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.container_class = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_class_container_column_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_container_column_name(text) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.container_column_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_class_default_form(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_default_form(text) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.default_form = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_class_sec_type(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_sec_type(int) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.sec_type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_class_force_sec_type(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_class_force_sec_type(int) RETURNS co_usr_meta_class AS
     '
        SELECT * FROM co_usr_meta_class WHERE co_usr_meta_class.force_sec_type = $1
     '
     LANGUAGE 'sql'
     !GO
       