 
  DROP FUNCTION co_usr_profiler_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_profiler_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'usr\' AND class_name = \'profiler\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_profiler_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_profiler_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'profiler\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_profiler_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_profiler_id(int) RETURNS co_usr_profiler AS
     '
        SELECT * FROM co_usr_profiler WHERE co_usr_profiler.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_profiler_begin_sec(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_profiler_begin_sec(int) RETURNS co_usr_profiler AS
     '
        SELECT * FROM co_usr_profiler WHERE co_usr_profiler.begin_sec = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_profiler_begin_usec(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_profiler_begin_usec(int) RETURNS co_usr_profiler AS
     '
        SELECT * FROM co_usr_profiler WHERE co_usr_profiler.begin_usec = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_profiler_end_sec(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_profiler_end_sec(int) RETURNS co_usr_profiler AS
     '
        SELECT * FROM co_usr_profiler WHERE co_usr_profiler.end_sec = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_profiler_end_usec(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_profiler_end_usec(int) RETURNS co_usr_profiler AS
     '
        SELECT * FROM co_usr_profiler WHERE co_usr_profiler.end_usec = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_profiler_id_meta_method(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_profiler_id_meta_method(int) RETURNS co_usr_profiler AS
     '
        SELECT * FROM co_usr_profiler WHERE co_usr_profiler.id_meta_method = $1
     '
     LANGUAGE 'sql'
     !GO
       