 
  DROP FUNCTION co_usr_shell_command_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_shell_command_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'usr\' AND class_name = \'shell_command\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_shell_command_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_shell_command_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'shell_command\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_shell_command_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_shell_command_id(int) RETURNS co_usr_shell_command AS
     '
        SELECT * FROM co_usr_shell_command WHERE co_usr_shell_command.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_shell_command_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_shell_command_version(int) RETURNS co_usr_shell_command AS
     '
        SELECT * FROM co_usr_shell_command WHERE co_usr_shell_command.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_shell_command_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_shell_command_deleted(int) RETURNS co_usr_shell_command AS
     '
        SELECT * FROM co_usr_shell_command WHERE co_usr_shell_command.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_shell_command_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_shell_command_inherits_acl(int) RETURNS co_usr_shell_command AS
     '
        SELECT * FROM co_usr_shell_command WHERE co_usr_shell_command.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_shell_command_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_shell_command_name(text) RETURNS co_usr_shell_command AS
     '
        SELECT * FROM co_usr_shell_command WHERE co_usr_shell_command.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_shell_command_description(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_shell_command_description(text) RETURNS co_usr_shell_command AS
     '
        SELECT * FROM co_usr_shell_command WHERE co_usr_shell_command.description = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_shell_command_command(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_shell_command_command(text) RETURNS co_usr_shell_command AS
     '
        SELECT * FROM co_usr_shell_command WHERE co_usr_shell_command.command = $1
     '
     LANGUAGE 'sql'
     !GO
       