
  select co_sys_meta_class_add('meta_vtable', 'generic_acl' , 'meta_class', 'class_name')
  !SELECT

  UPDATE co_sys_meta_class SET default_form = '', force_sec_type='1' WHERE class_name = 'meta_vtable'
  !GO

DELETE FROM co_sys_meta_prop WHERE class_name='meta_vtable'
!GO
  
INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'id','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'version','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'deleted','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'inherits_acl','HIDDEN=1;READONLY=1','0','','',
         '', '', '', 
	 '50','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'class_name','','1','meta_class','class_name',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'method_name','','100','','',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'target_class_name','','0','meta_class','class_name',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'id_permission','','0','permission','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'id_onbefore_script','','0','js_code','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'id_onbefore_method','','0','meta_method','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'id_onafter_script','','0','js_code','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'id_onafter_method','','0','meta_method','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'profiled','','0','','',
         '', '', '', 
	 '210','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'sec_type','VALUES=new Array(1,2);','0','','',
         '', '', '', 
	 '220','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('meta_vtable', 'force_sec_type','VALUES=new Array(0, 1);','0','','',
         '', '', '', 
	 '220','CO_INTEGER', '')
!GO  

DELETE FROM co_sys_meta_method WHERE class_name='meta_vtable'
!GO
