#!/usr/bin/perl -w
 
# : init_data.tpl,v 1.2 2000/06/01 19:30:48 pawel Exp n 
#
 
######################### We start with some black magic to print on failure.
 
BEGIN { $| = 1; }
END {print "test failed\n" unless $loaded;}
use Pg;
$loaded = 1;
use strict;

 
######################### End of black magic.
 
my $dbconnstr = 'dbname=nobody';
##my $dbname = 'nobody';
my $trace  = '/tmp/pgtrace.out';
my ($conn, $result, $i, $last_id);
 
my $DEBUG  = 0; # set this to 1 for traces

$SIG{PIPE} = sub { print "broken pipe\n" };

$dbconnstr = $ARGV[0]; shift;

######################### create and connect to database
 
my $Option_ref = Pg::conndefaults();
my ($key, $val);
##( $$Option_ref{port} ne "" && $$Option_ref{dbname} ne "" && $$Option_ref{user} ne "" )
##and print "Pg::conndefaults ........ ok\n"
##or  die   "Pg::conndefaults ........ not ok: ", $conn->errorMessage;
	 
##$conn = Pg::connectdb("dbname=$dbmain");
$conn = Pg::connectdb("$dbconnstr");
( PGRES_CONNECTION_OK eq $conn->status )
    and print "Pg::connectdb ........... ok\n"
    or  die   "Pg::connectdb ........... not ok: ", $conn->errorMessage;  

		

#open(SOURCE, "sql_input.sql_pl") or die "can not open file sql_input.sql_pl";

my($line, $sql_buf);
while($line = <>)
{
  if($line =~ /^\s*(!GO)/)
  {
#    print "GO DO WYKONANIA: ", $sql_buf;

    $result=$conn->exec($sql_buf); 
    if(PGRES_COMMAND_OK ne $result->resultStatus)
    {
        $!=-1; 
	die "SQL: ".$sql_buf.$conn->errorMessage;
    }  
    $sql_buf = "";
  }  
  elsif($line =~ /^\s*(!SELECT)/)
  {
#    print "SELECT DO WYKONANIA: ", $sql_buf;
    $result=$conn->exec($sql_buf); 
    if(PGRES_TUPLES_OK ne $result->resultStatus)   
    {
        $!=-1; 
	die "SQL: ".$sql_buf.$conn->errorMessage;
    } 
    $sql_buf = "";
  }
  elsif($line =~ /^\s*(!NOERROR)/)
  {
#    print "NOERROR DO WYKONANIA: ", $sql_buf;
    $conn->exec($sql_buf); 
    $sql_buf = "";
  }      
  else
  {
    $sql_buf .= $line;
  };    
};    
#          $result = $conn->exec("UPDATE co_sys_menu SET id_parent='root' WHERE id=$last_id"); 

#print "SUCCESS! ................ ok\n"; 
print "FINISHED! ............... ok\n"; 
1
